## python-lzo 1.15

=== Makefile ===
#
# written by Markus F. X. J. Oberhumer <markus@oberhumer.com>
#
# to use a specific python version call
#   `make PYTHON=python2.2'
#

SHELL = /bin/sh

PYTHON = python2.2
PYTHON = python

all build:
	$(PYTHON) setup.py build

test: build
	$(PYTHON) tests/test.py

# (for Linux, needs GNU binutils)
strip: build
	strip -p --strip-unneeded build/lib*/*.so
	chmod -x build/lib*/*.so

install install_lib:
	$(PYTHON) setup.py $@

clean:
	-rm -rf build dist
	-rm -f *.pyc *.pyo */*.pyc */*.pyo
	-rm -f MANIFEST

distclean: clean

maintainer-clean: distclean

dist sdist: distclean
	$(PYTHON) setup.py sdist

.PHONY: all build test strip install install_lib clean distclean maintainer-clean dist sdist

.NOEXPORT:

## python-lzo 1.08

=== debian/changelog ===
python-lzo (1.08-1) unstable; urgency=low

  * Initial import (Closes: #671375)
  * add patches/01-use-lzo2-insteadof-lzo.patch to use lzo2 instead of lzo
  * add patches/02-fix-exception-handling-in-test.patch 

 -- Mehdi Abaakouk <sileht@sileht.net>  Mon, 07 May 2012 19:31:01 +0200

=== debian/control ===
Source: python-lzo
Maintainer: Mehdi Abaakouk <sileht@sileht.net>
Section: python
Priority: optional
Build-Depends: python-all-dev (>= 2.6.6-3), debhelper (>= 7.0.50~), liblzo2-dev
Standards-Version: 3.9.3
Homepage: http://www.oberhumer.com/opensource/lzo/

Package: python-lzo
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for the LZO data compression library
 This module provides Python bindings for the LZO data compression library.
 .
 LZO is a portable lossless data compression library written in ANSI C.
 It offers pretty fast compression and *very* fast decompression.
 Decompression requires no memory.
 .
 In addition there are slower compression levels achieving a quite
 competitive compression ratio while still decompressing at
 this very high speed.

=== debian/rules ===
#!/usr/bin/make -f

# Force use setup.py build system instead of broken Makefile 
# to build against multiple python version
%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex ; \
	for python in $(shell pyversions -s); do \
			$$python tests/test.py ; \
	done
endif

=== debian/watch ===
version=3
http://www.oberhumer.com/opensource/lzo/download/LZO-v1/python-lzo-([^-]+)\.tar\.gz

## python-lzo 1.12

=== debian/changelog ===
python-lzo (1.12-2) unstable; urgency=medium

  * Introduced "python3-lzo" package (Closes: #898206).
  * Build-Depends:
    + python3-all-dev
    + python3-nose

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Jul 2018 14:21:33 +1000

python-lzo (1.12-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "python-nose".
  * Build using pybuild.
  * Vcs URLs to Salsa.
  * Updated watch file.
  * Updated Homepage URL.
  * Standards-Version: 4.1.5.
  * debhelper & compat to version 11.
  * Testsuite: autopkgtest-pkg-python.
  * Set Python Team as Maintainer; Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Jul 2018 14:09:41 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,21 @@
 Source: python-lzo
-Maintainer: Mehdi Abaakouk <sileht@sileht.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Mehdi Abaakouk <sileht@sileht.net>, Dmitry Smirnov <onlyjob@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python-all-dev (>= 2.6.6-3), debhelper (>= 7.0.50~), liblzo2-dev
-Standards-Version: 3.9.3
-Homepage: http://www.oberhumer.com/opensource/lzo/
+Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 11~), dh-python
+    ,python-all-dev (>= 2.6.6-3)
+    ,python3-all-dev
+    ,liblzo2-dev
+    ,python-nose
+    ,python3-nose
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
+Homepage: https://pypi.org/project/python-lzo/
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lzo
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-lzo.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-lzo
 Architecture: any
@@ -19,3 +30,18 @@
  In addition there are slower compression levels achieving a quite
  competitive compression ratio while still decompressing at
  this very high speed.
+
+Package: python3-lzo
+Architecture: any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: Python bindings for the LZO data compression library (Python 3)
+ This module provides Python bindings for the LZO data compression library.
+ .
+ LZO is a portable lossless data compression library written in ANSI C.
+ It offers pretty fast compression and *very* fast decompression.
+ Decompression requires no memory.
+ .
+ In addition there are slower compression levels achieving a quite
+ competitive compression ratio while still decompressing at
+ .
+ This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export PYBUILD_NAME=lzo

# Force use setup.py build system instead of broken Makefile
# to build against multiple python version
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*//,\
 http://pypi.debian.net/python-lzo/python-lzo-(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

#opts=\
#repacksuffix=+dfsg,\
#dversionmangle=s/\+dfsg\d*//,\
# https://pypi.python.org/simple/python-lzo/ \
# .*/python-lzo-(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)(?:#.*)

#filenamemangle=s{.*/([^/#]+)#md5=[0-9a-f]+}{$1},\
#http://www.oberhumer.com/opensource/lzo/download/lzo-(\d[\d.]+)\.tar\.(?:gz|xz|bz2)

## python-lzo 1.14

=== debian/changelog ===
python-lzo (1.14-1build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:45:04 +0000

python-lzo (1.14-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:45:40 +0000

python-lzo (1.14-1build2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:37:11 -0500

python-lzo (1.14-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:59:35 +0000

python-lzo (1.14-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Rules-Requires-Root: no.
  * Updated upstream Homepage.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Apr 2022 19:10:22 +1000

python-lzo (1.12-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Enable PY_SSIZE_T_CLEAN for Python 3.10 support. (Closes: #999380)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python3-lzo: Add Multi-Arch: same.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Nov 2021 15:39:04 -0400

python-lzo (1.12-3) unstable; urgency=medium

  * Team upload.
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Aug 2019 13:19:16 +0200

=== debian/control ===
Source: python-lzo
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mehdi Abaakouk <sileht@sileht.net>, Dmitry Smirnov <onlyjob@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), dh-python
    ,python3-all-dev
    ,liblzo2-dev
    ,python3-nose
Homepage: https://github.com/jd-boyd/python-lzo
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lzo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lzo.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-lzo
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Python bindings for the LZO data compression library (Python 3)
 This module provides Python bindings for the LZO data compression library.
 .
 LZO is a portable lossless data compression library written in ANSI C.
 It offers pretty fast compression and *very* fast decompression.
 Decompression requires no memory.
 .
 In addition there are slower compression levels achieving a quite
 competitive compression ratio while still decompressing at
 .
 This package is for Python 3.

## python-lzo 1.15

=== debian/changelog ===
python-lzo (1.15-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:01:12 +0000

python-lzo (1.15-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:56:03 +0000

python-lzo (1.15-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:00:31 +0100

python-lzo (1.15-2) unstable; urgency=medium

  * Team upload.
  * Add missing build-dep on python3-setuptools (Closes: #1080756)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 11 Oct 2024 13:17:58 +0200

python-lzo (1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15
  * Use new dh-sequence-python3
  * Replace nose by pytest (Closes: #1018528)
  * Replace old nose patch with PYBUILD_TEST_ARGS
  * Fix truncated description (Closes: #911838)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 May 2024 17:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Uploaders: Mehdi Abaakouk <sileht@sileht.net>, Dmitry Smirnov <onlyjob@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), dh-python
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13)
+    ,dh-sequence-python3
     ,python3-all-dev
+    ,python3-setuptools
     ,liblzo2-dev
-    ,python3-nose
+    ,python3-pytest
 Homepage: https://github.com/jd-boyd/python-lzo
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lzo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lzo.git
@@ -27,5 +29,4 @@
  .
  In addition there are slower compression levels achieving a quite
  competitive compression ratio while still decompressing at
- .
- This package is for Python 3.
+ this very high speed.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=lzo
export PYBUILD_TEST_ARGS=-k 'not test_version'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 opts=\
 repacksuffix=+dfsg,\
 dversionmangle=s/\+dfsg\d*//,\
- http://pypi.debian.net/python-lzo/python-lzo-(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+ https://pypi.debian.net/python-lzo/python-lzo-(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
 
 #opts=\
 #repacksuffix=+dfsg,\
